### Function

# Gimp locale_directory

#### Declaration [src]

    const gchar*
    gimp_locale_directory (
      void
    )

#### Description [src]

Returns the top directory for GIMP locale files. If the environment variable GIMP3_LOCALEDIR exists, that is used. It should be an absolute pathname. Otherwise, on Unix the compile-time defined directory is used. On Windows, the installation directory as deduced from the executable’s full filename is used.

The returned string is owned by GIMP and must not be modified or freed. The returned string encoding depends on the system where GIMP is running: on UNIX it’s in the encoding used for filenames by the C library (which isn’t necessarily UTF-8); on Windows it’s UTF-8.

On UNIX the returned string can be passed directly to the `bindtextdomain()` function from libintl; on Windows the returned string can be converted to UTF-16 and passed to the `wbindtextdomain()` function from libintl.

#### Return value

Type: `const gchar*`

The top directory for GIMP locale files.

The data is owned by the called function.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.